Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456429 - Review Request: chm2pdf - A tool to convert CHM files to PDF files
Summary: Review Request: chm2pdf - A tool to convert CHM files to PDF files
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 14:52 UTC by kushaldas@gmail.com
Modified: 2008-07-28 06:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 06:19:47 UTC
rpandit: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2008-07-23 14:52:27 UTC
Spec URL: http://kushal.fedorapeople.org/chm2pdf.spec
SRPM URL: http://kushal.fedorapeople.org/chm2pdf-0.9.1-1.fc9.src.rpm
Description: A simple Python script that converts CHM files into PDF files.

Comment 1 kushaldas@gmail.com 2008-07-23 15:26:41 UTC
Fixed the Group
Spec URL: http://kushal.fedorapeople.org/chm2pdf.spec
SRPM URL: http://kushal.fedorapeople.org/chm2pdf-0.9.1-2.fc9.src.rpm


Comment 2 Rakesh Pandit 2008-07-24 22:03:37 UTC
Package has a small license field issue. Rest package is okay.

Required:
[x] rpmlint output: clean
[x] package and spec naming
[x] packaging guideline
[x] license file included
[!] license field should be GPLv2+
[x] spec file -- is legible and written in American English
[x] md5sum
     Upstream: 2d5518e3284cca496270566c2554b713
     Package Source: 2d5518e3284cca496270566c2554b713
[x] package builds on koji
[x] package working on i686 
[x] BuildRequires tag
[NA] locales
[NA] static libraries, shared libraries, header files
[x] owns directory it creates
[x] no duplicates files  
[x] file permissions
[x] %clean and %install section have rm -rf $RPM_BUILD_ROOT
[x] macros used consistently
[x] package has permissible content
[x] program runs independent of files in %doc
[NA] GUI
[x] All file encoding is utf-8
[x] no unnecessary bite compilation
[x] egg-info file included
[x] 

Optional:
[x] LICENSE file included
[x] description and summary not available in other languages
[x] package builds in koji
[x] package works as expected
[NA] no sciriptlets
[NA] no subpackages  
[x] no dependencies outside paths in FH Guidelines

Optional Suggestions(you may consider not using them):
a. you can remove python_sitearch definition as it is not being used

Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated

Comment 3 kushaldas@gmail.com 2008-07-27 09:46:01 UTC
Spec URL: http://kushal.fedorapeople.org/chm2pdf.spec
SRPM URL: http://kushal.fedorapeople.org/chm2pdf-0.9.1-3.fc9.src.rpm


Hopefully everything is fixed now :)

Comment 4 Rakesh Pandit 2008-07-27 09:58:04 UTC
Yes, very much -- everything is fixed.

You may like to put in
"Fixed License field" in changelog in place of
"Fixed as asked in the review"

APPROVED

Comment 5 kushaldas@gmail.com 2008-07-27 10:09:04 UTC
New Package CVS Request
=======================
Package Name: chm2pdf
Short Description: A tool to convert CHM files to PDF files
Owners: kushal
Branches: F-9 EL5
InitialCC: kushal
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2008-07-28 04:17:44 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.